<?php

/*
Plugin Name: Last update
Plugin URI: https://technologie-geek.fr/
Description: Afficher la dernière mise à jour des pages et des articles
Author: Technologie Geek
Version: 1.0
Author URI: https://technologie-geek.fr/
*/

add_action('admin_menu', 'last_update_menu');

function last_update_menu() {
	add_menu_page('Last Update Settings', 'Last update', 'administrator', 'last-update-settings', 'last_update_settings_page', 'dashicons-admin-generic');
}

function last_update_settings_page() {
?>
<!DOCTYPE html>
<html>
 <head>
  <style type="text/css">
h3 {
	font-size: 24px;
	font-weight: bold;
	padding-bottom: 0px;
}
table, th, td {
	width: 30%;
	border-bottom: 1px solid #a9a8a8;
	border-collapse: collapse;
}
th, td {
	padding: 15px;
}
th {
	text-align: left;
	vertical-align: middle;
}
td {
	text-align: left;
	vertical-align: middle;
}
input[type=text] {
	border: 1px solid #a9a8a8;
	border-radius: 0px;
	width: 100%;
}
input[type=checkbox] {
	border: 1px solid #a9a8a8;
	border-radius: 0px;
}
  </style>
 </head>
<body>
 <h3>Last update</h3>
  <form method="post" action="options.php">
   <?php settings_fields( 'last-update-settings-group' ); ?>
   <?php do_settings_sections( 'last-update-settings-group' ); ?>
    <table> <!--class="form-table">-->
	 <tr valign="top">
	 <th scope="row">Activer l'affichage</th>
	 <td><input type="checkbox" name='activate' value="1" <?= checked( get_option('activate'), 1, false );?> /></td>
	 </tr>
		
	 <tr valign="top">
	 <th scope="row">Uniquement sur les articles</th>
	 <td><input type="checkbox" name='only_post' value="1" <?= checked( get_option('only_post'), 1, false );?> /></td>
	 </tr>
		
	 <tr valign="top">
	 <th scope="row">Afficher l'heure de mise à jour</th>
	 <td><input type="checkbox" name='update_time' value="1" <?= checked( get_option('update_time'), 1, false );?> /></td>
	 </tr>
		
	 <tr valign="top">
	 <th scope="row">Préfixe : si vide = Mise à jour le</th>
	 <td><input type="text" name="prefix" value="<?php echo esc_attr( get_option('prefix') ); ?>" /></td>
	 </tr>	
    </table>
   <?php submit_button(); ?>
  </form>
</body>
</html>
<?php
}

add_action( 'admin_init', 'last_update_settings' );

function last_update_settings() {
	register_setting( 'last-update-settings-group', 'activate' );
	register_setting( 'last-update-settings-group', 'only_post' );
	register_setting( 'last-update-settings-group', 'update_time' );
	register_setting( 'last-update-settings-group', 'prefix' );
}

if (get_option('activate') === '1') {
	function show_last_updated( $content ) {
		$prefix = get_option('prefix');
			if(false == $prefix){
				$prefix = "Mise à jour le";
			}
  
		$u_time = get_the_time('U');
		$u_modified_time = get_the_modified_time('U');
  
			if (get_option('only_post') === '1') {
				if ($u_modified_time >= $u_time + 86400 && is_singular('post')) {
					$updated_date = get_the_modified_time('j F Y');
					$updated_time = get_the_modified_time('h:i a');
					$custom_content .= '<p class="last-updated-date">'. $prefix .' '. $updated_date .'</p>';
						if (get_option('update_time') === '1') {
							unset($custom_content);
							$custom_content .= '<p class="last-updated-date">'. $prefix .' '. $updated_date .' à '. $updated_time .'</p>';
						}
					}
			}
  
		if (get_option('only_post') !== '1') {
			if ($u_modified_time >= $u_time + 86400) {
				$updated_date = get_the_modified_time('j F Y');
				$updated_time = get_the_modified_time('h:i a');
				$custom_content .= '<p class="last-updated-date">'. $prefix .' '. $updated_date .'</p>';
					if (get_option('update_time') === '1') {
						unset($custom_content);
						$custom_content .= '<p class="last-updated-date">'. $prefix .' '. $updated_date .' à '. $updated_time .'</p>';
					}
			}
		}
		
		$custom_content .= $content;
		return $custom_content;
	}
	
add_filter( 'the_content', 'show_last_updated' );
}